# MetaInfNormalization

interface MetaInfNormalization

Configuration of manifest normalization.

#### Since

6.6

## Functions

ignoreAttribute
Link copied to clipboard
abstract fun ignoreAttribute(name: String)
Ignore attributes in `META-INF/MANIFEST.MF` within archives matching `name`.
ignoreCompletely
Link copied to clipboard
abstract fun ignoreCompletely()
Ignore all files and subdirectories in the `META-INF` directory within archives.
ignoreManifest
Link copied to clipboard
abstract fun ignoreManifest()
Ignore the `META-INF/MANIFEST.MF` file within archives.
ignoreProperty
Link copied to clipboard
abstract fun ignoreProperty(name: String)
Ignore keys in properties files stored in `META-INF` within archives matching `name`.